NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalI14443p4a_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » ISO/IEC 14443-4A » Component : Software

Software PAL-ISO14443P4A parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
void * | pHalDataParams
| Pointer to the parameter structure of the underlying layer. More...
uint8_t | bCidSupported
| Cid Support indicator; Unequal '0' if supported. More...
uint8_t | bNadSupported
| Nad Support indicator; Unequal '0' if supported. More...
uint8_t | bCid
| Card Identifier; Ignored if bCidSupported is equal '0'. More...
uint8_t | bBitRateCaps
| TA(1) byte of ATS; ISO/IEC 14443-4:2008, Section 5.2.4. More...
uint8_t | bFwi
| Frame Waiting Integer. More...
uint8_t | bFsci
| PICC Frame Size Integer; 0-8;.
uint8_t | bFsdi
| (Current) PCD Frame Size Integer; 0-8;
uint8_t | bDri
| (Current) Divisor Receive (PCD to PICC) Integer; 0-3;
uint8_t | bDsi
| (Current) Divisor Send (PICC to PCD) Integer; 0-3;
uint8_t | bOpeMode
| Operation mode. More...
uint8_t | bRetryCount
| Retry count for RATS command as per NFC Digital Protocol Version 1.1 For mode RD_LIB_MODE_EMVCO retry count should be 1. More...

## Detailed Description

Software PAL-ISO14443P4A parameter structure.

## Field Documentation

## § pHalDataParams

void* phpalI14443p4a_Sw_DataParams_t::pHalDataParams

Pointer to the parameter structure of the underlying layer.

## § bCidSupported

uint8_t phpalI14443p4a_Sw_DataParams_t::bCidSupported

Cid Support indicator; Unequal '0' if supported.

## § bNadSupported

uint8_t phpalI14443p4a_Sw_DataParams_t::bNadSupported

Nad Support indicator; Unequal '0' if supported.

## § bCid

uint8_t phpalI14443p4a_Sw_DataParams_t::bCid

Card Identifier; Ignored if bCidSupported is equal '0'.

## § bBitRateCaps

uint8_t phpalI14443p4a_Sw_DataParams_t::bBitRateCaps

TA(1) byte of ATS; ISO/IEC 14443-4:2008, Section 5.2.4.

## § bFwi

uint8_t phpalI14443p4a_Sw_DataParams_t::bFwi

Frame Waiting Integer.

## § bOpeMode

uint8_t phpalI14443p4a_Sw_DataParams_t::bOpeMode

Operation mode.

One of NFC, EMVCo, ISO.

## § bRetryCount

uint8_t phpalI14443p4a_Sw_DataParams_t::bRetryCount

Retry count for RATS command as per NFC Digital Protocol Version 1.1
For mode RD_LIB_MODE_EMVCO retry count should be 1.

The documentation for this struct was generated from the following file:

- phpalI14443p4a.h